| base-4.2.0.2: Basic libraries | Contents | Index

Data.String

Portability | portable
Stability | experimental
Maintainer | libraries@haskell.org

Description
Things related to the String type.
Synopsis

class IsString a where

fromString :: String -> a

Documentation
class IsString a where

Class for string-like datastructures; used by the overloaded string extension (-foverloaded-strings in GHC).
Methods

fromString :: String -> a

Instances

IsString [Char]

Produced by Haddock version 2.6.1